Skip to main content
GET
/
v2
/
deposits
List deposits with opaque cursor pagination
curl --request GET \
  --url https://api.example.com/v2/deposits \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "100.50",
      "clientRef": "609eddec-9b97-4f41-8db3-ef9342263418",
      "createdAt": "2024-01-15T10:30:00Z",
      "currency": "EUR",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "method": "manual_deposit",
      "status": "completed",
      "updatedAt": "2024-01-15T10:35:00Z",
      "errorMessage": "Payment declined by bank",
      "providerTransactionId": "TXN-123456789"
    }
  ],
  "hasMore": true,
  "nextCursor": "eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
  "object": "payout.list"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Query Parameters

cursor
string

Opaque cursor returned by the previous page

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
status
string

Response

data
object[]
required
hasMore
boolean
required

Whether more items exist after this page

Example:

true

nextCursor
string | null
required

Opaque cursor for the next page, or null when there are no more items

Example:

"eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

object
enum<string>
required

Stable resource-specific collection discriminator

Available options:
deposit.list
Pattern: ^[a-z][a-z0-9_]*\.list$
Example:

"payout.list"